Subject: Re: bug#48849: [PATCH core-updates]: Add #:sh argument to wrap-qt-program
From: Maxim Cournoyer <[email-masked]>
To: Maxime Devos <[email-masked]>
Cc: [email-masked]
Date: Mon, 22 Jan 2024 00:12:36 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi again,

Maxime Devos <[email-masked]> writes:

> Hi guix,
>
> This patch series adds a #:sh keyword argument to wrap-qt-program
> and adjusts callers to set this keyword argument appropriately.
>
> Setting this argument appropriately is required for cross-compilation.
> Otherwise, a bash for SYSTEM (as in --system=..) is used instead
> of a bash for TARGET (as in --target=...).
>
> I didn't test building some qt programs with this patch series yet,
> as I'm currently waiting on the substitute servers to catch up
> with recent changed to core-updates (to avoid building a tower
> of rusts). I'll do that later.
>
> Greetings,
> Maxime
>
> From 27d42f25f54b16f382e18b9ef0fb202fb00da90d Mon Sep 17 00:00:00 2001
> From: Maxime Devos <[email-masked]>
> Date: Sat, 5 Jun 2021 11:02:16 +0200
> Subject: [PATCH 1/8] qt-utils: Allow overriding the shell interpreter in
>  'wrap-qt-program'.
>
> * guix/build/qt-utils.scm (wrap-qt-program): Introduce a #:sh keyword
>   argument and pass it to 'wrap-program'.

I see this patch was already merged by Mathieu in
77b98bf1874aac8ed447e9f0b0ee0865a1d652ba; thus, I'm closing this ticket.

Thank you!

-- 
Maxim